﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.IO;
using System.Web.Mvc;
using DHTMLX.Export.PDF;


/*
Important!
If you are using this component under .Net Framework 4 or above, you need to 
add
<system.web>
	<httpRuntime requestValidationMode="2.0"/>
to the web.config to avoid HttpRequestValidationException

*/

namespace scheduler2pdf.Controllers
{
    [HandleError]
    public class GeneratorController : Controller
    {
        [ValidateInput(false)]
        public ActionResult Export()
        {
            var generator = new SchedulerPDFWriter();
            var xml = this.Server.UrlDecode(this.Request.Form["mycoolxmlbody"]);           
            MemoryStream pdf = generator.Generate(xml);         
            return File(pdf.ToArray(), generator.ContentType);            
        }

        
       
    }
}
